# Academic and Non-Commercial Research Use Software License and Terms of Use

Keypoint-MoSeq is a software package that includes original code created by the Harvard researchers listed below (the “Software”), and third-party code that may be obtained by End Users under separate terms of use. The Software is designed to label behaviors identified from keypoint tracking data through the use of computational modeling and fitting approaches. The Software was developed by Caleb Weinreb, Ph.D. and Sandeep Robert Datta, Ph.D. at Harvard University. It is distributed for free academic and non-commercial research use by President and Fellows of Harvard College (“Harvard”).

Using the Software indicates your agreement to be bound by the terms of this Academic and Non-Commercial Research Use Software License and Terms of Use (“License and Terms of Use”). Absent your agreement to the terms below, you (the “End User”) have no rights to hold or use the Software whatsoever.

Harvard agrees to grant hereunder a limited non-exclusive license to End User for the use of the Software in the performance of End User’s internal, non-commercial research on the following terms and conditions:

1. **NO REDISTRIBUTION.** The Software remains the property of Harvard, and End User shall not publish, distribute, or otherwise transfer or make available the Software to any other party.

2. **NO COMMERCIAL USE.** End User shall not use the Software for Commercial use and any such use of the Software is expressly prohibited. “Commercial use” includes, but is not limited to, (i) use of the Software in fee-for-service arrangements, (ii) use of the Software by core facilities or laboratories at non-profit institutions to provide research services to (or in collaboration with) for-profit third parties for a fee, (iii) use of the Software in industry-sponsored and/or collaborative research projects in which any rights to use the Software are granted to the industry sponsor or collaborator, and (iv) use of the Software by a for-profit entity in internal research conducted for the purpose of testing, improving or screening products or services to be marketed or sold by or on behalf of such entity. If End User wishes to use the Software for Commercial use, End User must execute a separate license agreement with Harvard.


Requests for use of the Software for Commercial use, please contact:

Office of Technology Development
Harvard University
Smith Campus Center, Suite 727E
1350 Massachusetts Avenue Cambridge, MA 02138 USA Telephone: (617) 495-3067
E-mail: otd@harvard.edu

3. **OWNERSHIP AND COPYRIGHT NOTICE.** Harvard owns all intellectual property in the Software. End User shall gain no ownership to the Software. End User shall not remove or delete, and shall retain in the Software (including in any modifications to the Software and in any Derivative Works), the copyright, trademark, or other notices pertaining to Software as provided with the Software.

4. **DERIVATIVE WORKS; IMPROVEMENTS; MODIFICATIONS.** End User may improve, modify and create and use Derivative Works (as such term is defined under U.S. copyright laws) of the Software, , provided however, that the use of any such improvements, modifications or Derivative Works shall be restricted to non-commercial, internal research by End User. End User may not distribute such improvements, modifications or Derivative Works to any third parties or use such improvements, modifications or Derivative Works of the Software for any Commercial use.

5. **FEEDBACK.** In order to improve the Software, comments from End Users may be useful. End User agrees to provide Harvard with feedback on the End User’s use of the Software (e.g., any bugs in the Software, the user experience, etc.). Harvard is permitted to use such information provided by End User in making changes and improvements to the Software without compensation or accounting to End User.

6. **NON ASSERT.** End User acknowledges that Harvard may develop modifications to the Software that may be based on the feedback provided by End User under Section 5 above. Harvard shall not be restricted in any way by End User regarding its use of such information. End User acknowledges the right of Harvard to prepare, publish, display, reproduce, transmit and or use modifications to the Software that may be substantially similar or functionally equivalent to End User’s modifications and/or improvements if any. In the event that End User obtains patent protection for any modification or improvement to Software, End User agrees not to allege or enjoin infringement of End User’s patent against Harvard, or any of the researchers, medical or research staff, officers, directors and employees of those institutions.

7. **PUBLICATION & ATTRIBUTION.** End User has the right to publish, present, or share results from the use of the Software. In accordance with customary academic practice, End User will acknowledge Harvard as the provider of the Software and may cite the relevant reference(s) from the following list of publications:

Wiltschko AB, Johnson MJ, Iurilli G, Peterson RE, Katon JE, Pashkovski SL, Abraira VE, Adams RP and Datta SR. (2015). Mapping sub-second Structure in Behavior. Neuron, 88:1121.

Caleb Weinreb, Mohammed Adbal Monium Osman, Libby Zhang, Sherry Lin, Jonah Pearl, Sidharth Annapragada, Eli Conlin, Winthrop F. Gillis, Maya Jay, Shaokai Ye, Alexander Mathis, Mackenzie Weygandt Mathis, Talmo Pereira, Scott W Linderman, Sandeep Robert Datta. (2023). Keypoint-MoSeq: parsing behavior by linking point tracking to pose dynamics. Bioarxiv, 2023.03.16.532307.

8. **NO WARRANTIES.** THE SOFTWARE IS PROVIDED "AS IS." TO THE FULLEST EXTENT PERMITTED BY LAW, HARVARD HEREBY DISCLAIMS ALL WARRANTIES OF ANY KIND (EXPRESS, IMPLIED OR OTHERWISE) REGARDING THE SOFTWARE, INCLUDING BUT NOT LIMITED TO ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OWNERSHIP, AND NON-INFRINGEMENT. HARVARD MAKES NO WARRANTY ABOUT THE ACCURACY, RELIABILITY, COMPLETENESS, TIMELINESS, SUFFICIENCY OR QUALITY OF THE SOFTWARE. HARVARD DOES NOT WARRANT THAT THE SOFTWARE WILL OPERATE WITHOUT ERROR OR INTERRUPTION.


9. **LIMITATIONS OF LIABILITY AND REMEDIES.** USE OF THE SOFTWARE IS AT END USER’S OWN RISK. IF END USER IS DISSATISFIED WITH THE SOFTWARE, ITS EXCLUSIVE REMEDY IS TO STOP USING IT. IN NO EVENT SHALL HARVARD BE LIABLE TO END USER, IN CONTRACT, TORT OR OTHERWISE, FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR OTHER DAMAGES OF ANY KIND WHATSOEVER ARISING OUT OF OR IN CONNECTION WITH THE SOFTWARE, EVEN IF HARVARD IS NEGLIGENT OR OTHERWISE AT FAULT, AND REGARDLESS OF WHETHER HARVARD IS ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

10. **INDEMNIFICATION.** To the extent permitted by law, End User shall indemnify, defend and hold harmless Harvard, its current and former corporate affiliates, directors, trustees, officers, faculty, medical and professional staff, employees, students and agents and their respective successors, heirs and assigns (the "Indemnitees"), against any liability, damage, loss or expense (including reasonable attorney's fees and expenses of litigation) incurred by or imposed upon the Indemnitees or any one of them in connection with any claims, suits, actions, demands or judgments arising from End User’s breach of this License and Terms of Use or End User’s use of the Software. This indemnification provision shall survive expiration or termination of this License and Terms of Use.

11. **GOVERNING LAW.** This License and Terms of Use shall be construed and governed by the laws of the Commonwealth of Massachusetts regardless of otherwise applicable choice of law standards.

12. **NON-USE OF NAME.** Nothing in this License and Terms of Use shall be construed as granting End User any rights or licenses to use any trademarks, service marks or logos associated with the Software. End User may not use the terms “Harvard” (or a substantially similar term) in any way that is inconsistent with the permitted uses described herein. End User may not use any name or emblem of Harvard or any of its schools or subdivisions for any purpose, or to falsely suggest any relationship between End User and Harvard, or in any manner that would infringe or violate any of its rights.


